/*
 * Copyright (C) 2009 Ericsson AB
 *
 * Authors: Torgny Johansson <torgny.johansson@ericsson.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef GPS_CONTROL_H
#define GPS_CONTROL_H

#define GPS_MODE_OFF       0
#define GPS_MODE_S_ALONE   1
#define GPS_MODE_SUPL      3
#define GPS_MODE_WAKING_UP 10
#define GPS_MODE_RECOVERING 11
#define GPS_MODE_SUPL_TRYING 30
#define GPS_MODE_SUPL_WAITING_FOR_REGISTRATION 31
#define GPS_MODE_S_ALONE_SUPL_FAILED 40

typedef enum {
	OFF = 0,
	STAND_ALONE_MODE = 1,
	SUPL_MODE = 3,
} EGPS_MODE;

typedef struct {
	DBusGConnection *connection;
	DBusGProxy *proxy;

} DBUS_Connection;

void dbus_connect (DBUS_Connection * conn);

gchar *dbus_getter_str (DBUS_Connection * conn, gchar * method);

void dbus_setter_str (DBUS_Connection * conn, gchar * method, char *value);

gint dbus_getter_int (DBUS_Connection * conn, gchar * method);

void dbus_setter_int (DBUS_Connection * conn, gchar * method, gint value);

void dbus_disconnect (DBUS_Connection * conn);

void on_window_destroy (GtkObject * object, gpointer user_data);

void status_icon_activated (void);

void init (int argc, char *argv[]);

void start_gps (void);

void stop_gps (void);

extern void on_interval_spin_button_change_value (GtkSpinButton * spinbutton,
												  gpointer user_data);

extern void on_enable_supl_radio_button_toggled (GtkToggleButton * togglebutton,
												 gpointer user_data);

extern void on_supl_apn_entry_activate (GtkEntry * entry, gpointer user_data);

void on_mode_combo_box_changed (GtkComboBox * combo_box, gpointer user_data);

extern void on_supl_server_entry_activate (GtkEntry * entry,
										   gpointer user_data);

extern void on_supl_server_auto_checkbutton_toggled (GtkToggleButton *togglebutton,
													 gpointer user_data);

extern void on_supl_user_entry_activate (GtkEntry * entry, gpointer user_data);

extern void on_supl_password_entry_activate (GtkEntry * entry,
											 gpointer user_data);

extern void on_supl_allow_ni_checkbutton_toggled (GtkToggleButton *
												  togglebutton,
												  gpointer user_data);

extern void on_disclaimer_dialog_response (GtkDialog * dialog, gint response_id,
										   gpointer user_data);

extern void view_log_window (GtkButton * button, gpointer user_data);

extern void view_install_cert_window (GtkButton * button, gpointer user_data);

extern void on_systray_menu_showhide (void);

extern void on_systray_menu_quit (void);
extern void on_single_shot_checkbutton_toggled (GtkToggleButton * togglebutton,
												gpointer user_data);

#endif
