/*
 * Copyright (C) 2009 Ericsson AB
 *
 * Authors: Torgny Johansson <torgny.johansson@ericsson.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "gps_gui_settings.h"

static GConfClient *gconf_client;

void initialize_gui_settings (void)
{
	gconf_client = gconf_client_get_default ();
}

void change_gui_setting_show_disclaimer (gboolean show_disclaimer)
{
	GConfValue *value = NULL;
	
	gconf_value_set_bool (value, show_disclaimer);
	printf ("Value set ok\n");
	gconf_client_set (gconf_client, "gps_control_show_disclaimer", value, NULL);
}

gboolean get_gui_setting_show_disclaimer ()
{
	return gconf_client_get_bool (gconf_client, "gps_control_show_disclaimer",
								  NULL);
}
